* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #000000;
  color: #ffffff;
  font-family: "Prosto One", sans-serif;
  overflow-x: hidden;
  overflow-y: auto;
}

.weather-app {
  max-width: 1800px;
  min-height: 100vh;
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
  filter: grayscale(0%);
  transition: filter 0.3s;
}
.weather-app.refreshing {
  filter: grayscale(100%);
  pointer-events: none;
}

.unit-toggle {
  position: fixed;
  top: 20px;
  right: 20px;
  padding: 0.5em;
  min-width: 55px;
  border: 1px solid #000000;
  border-radius: 5px;
  background-color: #ffc100;
  font-family: "Russo One", sans-serif;
  font-size: 1.5em;
  color: #070707;
  cursor: pointer;
  z-index: 1;
}

.weather-box {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 2rem;
  color: #5f5f5f;
  font-size: 2rem;
  filter: grayscale(70%);
}
.weather-box.weather-box-active {
  background-color: #ffc100;
  filter: grayscale(0%);
  color: #070707;
}
.weather-box.weather-box-weekend {
  color: #872322;
}
.weather-box .weekday-short {
  text-transform: uppercase;
  font-size: 0.563em;
}
.weather-box .day {
  font-family: "Russo One", sans-serif;
  font-size: 1.125em;
  font-style: italic;
}
.weather-box .day-weekend {
  color: #872322;
}
.weather-box .temp {
  display: flex;
  width: 100%;
  justify-content: space-between;
  font-size: 0.563em;
  line-height: 2;
}
.weather-box .high {
  color: #872322;
}
.weather-box .low {
  color: #2c6fa6;
}
.weather-box .weather-box-icon {
  position: relative;
  width: 130px;
  height: 130px;
  border-radius: 10%;
}
.weather-box .weather-box-icon-single {
  background-color: #070707;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.weather-box .weather-box-icon-single.sun {
  background-size: 180%;
}
.weather-box .weather-box-icon-combo {
  overflow: hidden;
}
.weather-box .day-icon,
.weather-box .night-icon {
  position: absolute;
  left: 0;
  bottom: 0;
  width: calc(100% * 1.41421356237);
  height: calc(100% * 1.41421356237);
  background-color: #070707;
  transform-origin: bottom left;
  overflow: hidden;
}
.weather-box .day-icon div,
.weather-box .night-icon div {
  position: absolute;
  width: 45%;
  height: 45%;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
  transform: rotateZ(45deg);
}
.weather-box .day-icon {
  transform: translate(-2px, -2px) rotateZ(-45deg);
}
.weather-box .day-icon div {
  top: 57%;
  left: 30%;
}
.weather-box .day-icon .sun {
  background-position: 495% 70%;
  background-size: cover;
  width: 100%;
  height: 100%;
  top: 50%;
  left: 20%;
}
.weather-box .night-icon {
  transform: rotateZ(-45deg) translate(calc(0% + 2px), calc(100% + 2px));
}
.weather-box .night-icon div {
  bottom: 57%;
  right: 30%;
}
.weather-box .night-icon .sun {
  background-position: -470% -20%;
  background-size: cover;
  width: 100%;
  height: 100%;
  bottom: 50%;
  right: 20%;
}

@media (min-width: 1000px) and (max-width: 1299px) {
  .weather-box {
    padding: 1rem;
  }
  .weather-box .weather-box-icon {
    width: 100px;
    height: 100px;
  }
}
@media (max-width: 999px) {
  .weather-box {
    padding: 1rem;
    font-size: 1.5rem;
  }
  .weather-box .weather-box-icon {
    width: 70px;
    height: 70px;
  }
}
@media (max-width: 719px) {
  .weather-app {
    flex-direction: column;
  }

  .weather-box {
    height: auto;
    width: 100vw;
  }
  .weather-box .temp {
    width: 70px;
  }
}